## resampy 0.4.3+ds

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/resampy.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/resampy.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/resampy"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/resampy"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

## resampy 0.3.1+ds

=== debian/changelog ===
resampy (0.3.1+ds-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    - new 0001-Support-for-32bit-architectures.patch.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 09 Jul 2022 11:28:29 +0000

resampy (0.2.2+ds-1) unstable; urgency=low

  * Initial packaging (Closes: #968469).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 29 Jun 2022 06:34:43 +0000

=== debian/control ===
Source: resampy
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               pybuild-plugin-pyproject,
               python3-all,
               python3-mock <!nodoc>,
               python3-numba <!nocheck>,
               python3-numpy <!nocheck>,
               python3-numpydoc <!nodoc>,
               python3-pytest <!nocheck>,
               python3-pytest-cov <!nocheck>,
               python3-scipy <!nocheck>,
               python3-setuptools,
               python3-six <!nocheck>,
               python3-sphinx <!nodoc>
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/python-team/packages/resampy
Vcs-Git: https://salsa.debian.org/python-team/packages/resampy.git
Homepage: https://github.com/bmcfee/resampy
Rules-Requires-Root: no

Package: python3-resampy
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         ${sphinxdoc:Depends}
Description: Efficient signal resampling
 Implements band-limited sinc interpolation method for sampling rate
 conversion.

=== debian/tests/control ===
Tests: python3
Depends: @, python3-all, python3-pytest, python3-pytest-cov

## resampy 0.4.2+ds

=== debian/changelog ===
resampy (0.4.2+ds-3) unstable; urgency=medium

  * Disable tarallel tests, not supported on all architectures.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 24 Jan 2023 06:46:34 +0000

resampy (0.4.2+ds-2) unstable; urgency=medium

  * Standards version bumped to 4.6.2, no changes.
  * Skip tests on unsupported architectures (Closes: #1019101).
  * Update d/copyright.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 21 Jan 2023 10:31:38 +0000

resampy (0.4.2+ds-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    - drop 0001-Support-for-32bit-architectures.patch,
      applied upstream.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 14 Sep 2022 05:53:54 +0000

resampy (0.4.0+ds-2) unstable; urgency=medium

  * debian/patches:
    - Fix 0001-Support-for-32bit-architectures.patch.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 24 Aug 2022 06:37:42 +0000

resampy (0.4.0+ds-1) unstable; urgency=medium

  * New upstream release.
  * debian/contril:
    - require numba >= 0.53.
  * debian/patches:
    - refresh all patches.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 08 Aug 2022 16:03:57 +0000

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                pybuild-plugin-pyproject,
                python3-all,
                python3-mock <!nodoc>,
-               python3-numba <!nocheck>,
+               python3-numba (>= 0.53) <!nocheck>,
                python3-numpy <!nocheck>,
                python3-numpydoc <!nodoc>,
                python3-pytest <!nocheck>,
@@ -18,7 +18,7 @@
                python3-setuptools,
                python3-six <!nocheck>,
                python3-sphinx <!nodoc>
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/resampy
 Vcs-Git: https://salsa.debian.org/python-team/packages/resampy.git
 Homepage: https://github.com/bmcfee/resampy

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_TEST_ARGS=""

export PYBUILD_NAME=resampy
%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	$(RM) -r resampy/data *.egg-info

override_dh_auto_configure:
	env PYTHONPATH=$(CURDIR) python3 debian/mkfilters.py resampy/data
	dh_auto_configure

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	dh_auto_test
	$(RM) .pybuild/*/build/.coverage .pybuild/*/build/coverage.xml
endif

override_dh_auto_build: export http_proxy=127.0.0.1:9
override_dh_auto_build: export https_proxy=127.0.0.1:9
override_dh_auto_build:
	dh_auto_build
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -N -bhtml docs/ $(CURDIR)/.pybuild/docs/html/
endif

=== debian/tests/control ===
Tests: python3
Depends: @, python3-all, python3-pytest, python3-pytest-cov
Restrictions: skippable

## resampy 0.4.3%2Bds

=== debian/control ===
Source: resampy
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
Section: python
Testsuite: autopkgtest-pkg-pybuild
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               pybuild-plugin-pyproject,
               python3-all,
               python3-numba (>= 0.53),
               python3-numpy,
               python3-numpydoc <!nodoc>,
               python3-pytest <!nocheck>,
               python3-pytest-cov <!nocheck>,
               python3-scipy <!nocheck>,
               python3-setuptools,
               python3-sphinx <!nodoc>
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/python-team/packages/resampy
Vcs-Git: https://salsa.debian.org/python-team/packages/resampy.git
Homepage: https://github.com/bmcfee/resampy
Rules-Requires-Root: no

Package: python3-resampy
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         ${sphinxdoc:Depends}
Description: Efficient signal resampling
 Implements band-limited sinc interpolation method for sampling rate
 conversion.

## resampy 0.4.3+ds

=== debian/changelog ===
resampy (0.4.3+ds-6) unstable; urgency=medium

  * Standards version bumped to 4.7.2, no changes.
  * debian/patches:
    - Refresh all patches.
  * Update dates in d/copyright.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 19 Apr 2025 08:21:09 +0000

resampy (0.4.3+ds-5) unstable; urgency=medium

  * Team upload.
  * Use dh-sequence-python3
  * Remove usage of python3-mock with upstreamed patch

 -- Alexandre Detiste <tchet@debian.org>  Tue, 17 Dec 2024 22:16:13 +0100

resampy (0.4.3+ds-4) unstable; urgency=medium

  * Standards version bumped to 4.7.0, no changes.
  * debiamn/patches:
    - New 0001-Compatibility-with-scipy-1.13.patch (Closes: #1081099).
    - New 0002-Use-importlib-instead-of-the-deprecated-imp.patch
      (compatibility with Pythn 3.12).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 13 Sep 2024 18:06:33 +0000

resampy (0.4.3+ds-3) unstable; urgency=medium

  * debian/control:
    - Remove incorrect <!nocheck> tag from numpy and numba
      dependencies.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 24 May 2024 11:26:52 +0000

resampy (0.4.3+ds-2) unstable; urgency=medium

  * debian/tests:
    - New autopkgtest-pkg-pybuild.conf file.
      Skip autopkgtests on platforms not supported by numba
      (riscv64).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 23 May 2024 06:16:39 +0000

resampy (0.4.3+ds-1) unstable; urgency=medium

  [ Antonio Valentino ]
  * New upstream release.
  * Update dates in d/copyright.
  * Switch to autopkgtest-pkg-pybuild and remove the
    no longer needed d/tests folder.

  [ Alexandre Detiste ]
  * debian/control:
    - Remove obsolete python3-six build dependency.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 08 Mar 2024 07:09:28 +0000

=== debian/rules ===
--- 
+++ 
@@ -1,13 +1,17 @@
 #!/usr/bin/make -f
 
-export PYBUILD_TEST_ARGS=""
+include /usr/share/dpkg/architecture.mk
 
 export PYBUILD_NAME=resampy
+export PYBUILD_TEST_ARGS=-k "not parallel" ${CURDIR}
+ifneq (,$(filter $(DEB_BUILD_ARCH),s390x))
+export PYBUILD_DISABLE=test
+endif
+
 %:
-	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with sphinxdoc --buildsystem=pybuild
 
-override_dh_auto_clean:
-	dh_auto_clean
+execute_after_dh_auto_clean:
 	$(RM) -r resampy/data *.egg-info
 
 override_dh_auto_configure:

=== debian/watch ===
version=4
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|c|beta|b|alpha|a)\d*)$/$1~$2/;s/RC/rc/;s/\-/\./g,\
filenamemangle=s/(?:.*?)?(?:rel|v|resampy)?[\-\_]?(\d\S*)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/resampy-$1.$2/,\
repacksuffix=+ds \
https://github.com/bmcfee/resampy/tags \
(?:.*?/archive/(?:.*?/)?)?(?:rel|v|resampy)?[\-\_]?(\d\S*)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
